﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TestWPFApp {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {
        List<DataValue> DataItems { get; set; }
        public MainWindow() {
            InitializeComponent();
            DataItems = CreateData();
            
         
        }
        private List<DataValue> CreateData() {
            var data = new List<DataValue>();
            data.Add(new DataValue(new DateTime(2023, 11, 01), 100, 200));
            data.Add(new DataValue(new DateTime(2023, 10, 01), 200, 200));
            data.Add(new DataValue(new DateTime(2023, 9, 01), 300, 100));
            data.Add(new DataValue(new DateTime(2023, 8, 01), 400, 200));
            data.Add(new DataValue(new DateTime(2023, 7, 01), 500, 300));


            return data;
           
        }
        public class DataValue {
            public DateTime Date { get; set; }
            public Decimal MarketValue { get; set; }
            public Decimal CostBasis { get; set; }
            public DataValue(DateTime date, decimal marketValue, decimal costBasis) {
                Date = date;
                MarketValue = marketValue;
                CostBasis = costBasis;
            }
        }
    }
}
